MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027810Open CASCADE[OCCT] OCCT:Foundation Classespublic2016-08-25 16:432016-12-09 16:39
Reporteroan 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2015OS Version64 bit
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027810: Compilation error on NCollection_UBTree::Kill()
DescriptionVisual Studio raises compilation error when call to NCollection_UBTree::Kill() is used in user's code due to inconsistency of signature of delNode() with type of passed parameter (Handle(NCollection_BaseAllocator)& theAlloc instead of const Handle(NCollection_BaseAllocator)& theAlloc used in Kill).
Steps To ReproduceNot needed
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0057069)
git (administrator)
2016-08-25 16:44

Branch CR27810 has been created by oan.

SHA-1: 8769b46ec7d362a80303841e4a2fdd59922e43b6


Detailed log of new commits:

Author: oan
Date: Thu Aug 25 16:46:13 2016 +0300

    0027810: Compilation error on NCollection_UBTree::Kill()
(0057070)
oan (developer)
2016-08-25 16:45

Please review.
(0057242)
abv (manager)
2016-08-29 08:30

No remarks, please test (compilation only)
(0057257)
git (administrator)
2016-08-29 13:58

Branch CR27810 has been updated forcibly by mkv.

SHA-1: ca94b0c03f2fb4341dcee237a8ab12cd28d57b51
(0057270)
mkv (tester)
2016-08-29 18:22

Dear BugMaster,
Branch CR27810 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: ca94b0c03f2fb4341dcee237a8ab12cd28d57b51

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1134
(0057271)
mkv (tester)
2016-08-29 18:23

Dear BugMaster,
Branch CR27810 is TESTED.
(0059569)
git (administrator)
2016-10-28 21:48

Branch CR27810 has been deleted by kgv.

SHA-1: ca94b0c03f2fb4341dcee237a8ab12cd28d57b51

- Related Changesets
occt: master 1ede545f
Timestamp: 2016-08-25 13:46:13
Author: oan
Committer: bugmaster
Details ] Diff ]
0027810: Compilation error on NCollection_UBTree::Kill()
mod - src/NCollection/NCollection_UBTree.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-08-25 16:43 oan New Issue
2016-08-25 16:43 oan Assigned To => abv
2016-08-25 16:44 git Note Added: 0057069
2016-08-25 16:45 oan Note Added: 0057070
2016-08-25 16:45 oan Status new => resolved
2016-08-25 16:45 oan Steps to Reproduce Updated View Revisions
2016-08-29 08:30 abv Note Added: 0057242
2016-08-29 08:30 abv Assigned To abv => bugmaster
2016-08-29 08:30 abv Status resolved => reviewed
2016-08-29 12:28 mkv Assigned To bugmaster => mkv
2016-08-29 13:58 git Note Added: 0057257
2016-08-29 18:22 mkv Note Added: 0057270
2016-08-29 18:23 mkv Note Added: 0057271
2016-08-29 18:23 mkv Assigned To mkv => bugmaster
2016-08-29 18:23 mkv Status reviewed => tested
2016-08-29 18:23 mkv Test case number => Not needed
2016-09-02 10:27 bugmaster Changeset attached => occt master 1ede545f
2016-09-02 10:27 bugmaster Status tested => verified
2016-09-02 10:27 bugmaster Resolution open => fixed
2016-10-28 21:48 git Note Added: 0059569
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:39 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker